#include <stdio.h>

#define __DEBUG__

int main()
{
#ifndef __DEBUG__ // 如果没有定义了 __DEBUG__ 宏，则执行下面代码
    printf("------v1.0------\n ");
#else // 如果定义了 __DEBUG__ 宏，则执行下面的程序
    printf(" ------debug-- ----\n ");

#endif

    int a = 10, b = 20;
    int ret = a + b;
    printf("%d+%d=%d\n", a, b, ret);

    return 0;
}